# docker-deb-kernel

### Simple dockerfile to build the Linux kernel with debian packages

## Configure environment

	$ export DISTRIBUTION=bookworm
	$ export VERSION=6.12.10
Copy your kernel config to the `config` file

## Build image

	$ docker buildx build -e DISTRIBUTION=$DISTRIBUTION -e VERSION=$VERSION -t docker-deb-kernel .

## Extract .deb packages from container

	$ docker run -d --rm --name ddk -v ./:/mnt docker-deb-kernel find /usr/src -iname *.deb -exec cp {} /mnt \;

## Install .deb packages

	$ sudo dpkg -i *.deb

## License

	MIT
